
include $(top_srcdir)/config/all.mk

AM_CXXFLAGS = \
$(SHARKNIR_DROT_CXXFLAGS) $(BASDA_MOCCA_CXXFLAGS) $(BASDA_VINO_CXXFLAGS) \
$(BASDA_CXXFLAGS) $(NICE_CXXFLAGS) \
$(BOOST_CPPFLAGS) $(CFITSIO_CFLAGS) \
$(ICE_CXXFLAGS) $(PYTHON_INCLUDE_DIR) \
$(IIF_CXXFLAGS) $(QT4_CXXFLAGS)


SUBDIRS =

# Configuration files, go to $INSROOT/etc
etcdir=$(sysconfdir)
dist_etc_DATA =


pyexec_LTLIBRARIES               = SharknirDrotInterface.la

nodist_SharknirDrotInterface_la_SOURCES = \
	 ../Interface/Sharknir/Drot/SharknirDrotServiceWorkerPy.cc
SharknirDrotInterface_la_SOURCES      = SharknirDrotPythonWrapper.cc
SharknirDrotInterface_la_LDFLAGS      = -avoid-version \
	-module -Wl,-no-undefined $(SHARKNIR_DROT_LDFLAGS) $(BASDA_VINO_LDFLAGS)\
	$(BASDA_MOCCA_LDFLAGS) $(BASDA_LDFLAGS) $(NICE_LDFLAGS) \
	$(PYTHON_INCLUDE_DIR) $(BOOST_LDFLAGS) $(ICE_LDFLAGS) \
	$(LIBRARY_VERSION) $(CFITSIO_LDFLAGS) \
  $(IIF_LDFLAGS) -L$(libdir) -L$(top_srcdir)/src/util/

SharknirDrotInterface_la_LIBADD       =  $(SHARKNIR_DROT_LIBS) \
	-lSharknirDrotService $(BOOST_PYTHON_LIB) $(BASDA_VINO_LIBS) $(BASDA_MOCCA_LIBS) \
	$(BASDA_LIBS) $(NICE_LIBS) $(NICEPY_LIBS) \
	$(BOOST_SYSTEM_LIB) $(ICE_LIBS) $(PYTHON_LIBS) $(CFITSIO_LIBS) $(IIF_LIBS) -lLtcsIifService_NiceType -lShinsUtil_SharknirType

SharknirDrotInterface_la_DEPENDENCIES = libSharknirDrotService.la

install_pyexecLTLIBRARIES = install-pyexecLTLIBRARIES
$(install_pyexecLTLIBRARIES): install-libLTLIBRARIES

dist_python_SCRIPTS              = SharknirDrot.py

################################################################################

lib_LTLIBRARIES = libSharknirDrotService.la

libSharknirDrotService_la_SOURCES      =	SharknirDrotServiceWorker.cc \
											SharknirDrotServiceWorker.h \
											SharknirDrotServiceWorkerFactory.cc

libSharknirDrotService_la_LIBADD       =	-lNicePythonProperty \
	-lBasdaServiceState_NiceType \
	$(SHARKNIR_DROT_LIBS) $(BASDA_MOCCA_LIBS) $(BASDA_VINO_LIBS) $(BASDA_LIBS) \
	$(NICE_LIBS) $(ICE_LIBS) $(CFITSIO_LIBS) \
	$(BOOST_SYSTEM_LIB) $(BOOST_PYTHON_LIB) $(PYTHON_LIBS) $(IIF_LIBS) -lLtcsIifService_NiceType \
  $(QT4_LIBS_ALL)

libSharknirDrotService_la_LDFLAGS      = -Wl,-no-undefined \
	-version-info $(LIBRARY_VERSION) $(SHARKNIR_DROT_LDFLAGS) \
	$(BASDA_MOCCA_LDFLAGS) $(BASDA_VINO_LDFLAGS) $(BASDA_LDFLAGS) $(NICE_LDFLAGS) \
	$(ICE_LDFLAGS) $(QT4_LDFLAGS) $(BOOST_LDFLAGS)  $(CCFITSIO_LDFLAGS) \
 $(IIF_LDFLAGS)

libSharknirDrotService_la_CXXFLAGS = $(SHARKNIR_DROT_CXXFLAGS) \
	-Isrc \
	$(BASDA_MOCCA_CXXFLAGS) $(BASDA_CXXFLAGS) \
	$(NICE_CXXFLAGS) $(BOOST_CPPFLAGS) \
	$(ICE_CXXFLAGS)  $(PYTHON_INCLUDE_DIR) $(CFITSIO_CFLAGS) \
  $(IIF_CXXFLAGS) $(QT4_CXXFLAGS)
# -I$(top_srcdir)/src
